//
// (c)2019 Sassafras Software Inc.
//

(function () {

	return({

		model: function (props, src, dst, td) {
				var lookup = td.lookup("Model Types").load();
				props.ProductTypeID = lookup.getid(src.virtual ? "Virtual Computer" : ((src.capabilities & 0x00000100) ? "Laptop Computer" : "Desktop Computer"), { IsActive:true }),
				lookup = td.lookup("Vendors").load();
				props.ManufacturerID = lookup.matchid(src.manufacturer) || lookup.getid(src.manufacturer, { IsActive:true }) || dst.ManufacturerID || 0;
				return(props);
			},

		citype: function (props, src, dst, td) {
				props.AppID = td.appid;
				return(props);
			}

	});

})();
